summaryrefslogtreecommitdiff
path: root/arch
diff options
context:
space:
mode:
authorGrant Likely <grant.likely@secretlab.ca>2009-06-06 06:39:46 (GMT)
committerBenjamin Herrenschmidt <benh@kernel.crashing.org>2009-06-15 03:26:16 (GMT)
commit529273c1ad5f591d066a9d90a6bd6affa19c5461 (patch)
tree2a34ad4fa66f0b83d7f458fd6dd55ec11696c13c /arch
parent7dafd239ab522d38979ebe44d79aa68ad7b1a383 (diff)
downloadlinux-fsl-qoriq-529273c1ad5f591d066a9d90a6bd6affa19c5461.tar.xz
powerpc/install: Bail with error code on error in install script
If anything goes wrong when copying images into the install path, then the install script should exit with an error code so that 'make' knows about it and tells the user. Signed-off-by: Grant Likely <grant.likely@secretlab.ca> Signed-off-by: Benjamin Herrenschmidt <benh@kernel.crashing.org>
Diffstat (limited to 'arch')
-rw-r--r--arch/powerpc/boot/install.sh3
1 files changed, 3 insertions, 0 deletions
diff --git a/arch/powerpc/boot/install.sh b/arch/powerpc/boot/install.sh
index 51b2387..98312d1 100644
--- a/arch/powerpc/boot/install.sh
+++ b/arch/powerpc/boot/install.sh
@@ -18,6 +18,9 @@
# $5 and more - kernel boot files; zImage*, uImage, cuImage.*, etc.
#
+# Bail with error code if anything goes wrong
+set -e
+
# User may have a custom install script
if [ -x ~/bin/${CROSS_COMPILE}installkernel ]; then exec ~/bin/${CROSS_COMPILE}installkernel "$@"; fi